Opened 5 years ago

Last modified 9 months ago

#12941 needs_information defect

Firefox is already running.

Reported by: mttp Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Normal Keywords: apparmor
Cc: gk, mikeperry, Sherief, lunar, isis, chinchila Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The full error message is reported as "Firefox is already running, but is not responding. To open a new window, you must first close the existing Firefox process, or restart your system." This happens when the user tries to Start Tor Browser after previously closing it normally. The error blocks Tor Browser from launching.

This error has been reported on both Windows and Mac.

Tor Browser is on the Desktop.

User reports that they can indeed find a lingering Firefox.exe process in task manager after Tor Browser has already been closed, and that killing the process allows them to start Tor Browser successfully.

The contents of the Data/Browser/profile.default folder are listed below:

bookmarkbackups File folder 8/22/2014 9:52:45 PM 5/22/2014 6:40:12 AM
extensions File folder 8/23/2014 9:40:31 AM 5/22/2014 6:36:45 AM
HTTPSEverywhereUserRules File folder 5/22/2014 6:39:55 AM 5/22/2014 6:39:55 AM
preferences File folder 5/22/2014 6:36:46 AM 5/22/2014 6:36:46 AM
safebrowsing File folder 8/23/2014 9:34:28 AM 8/23/2014 9:34:28 AM
startupCache File folder 8/23/2014 9:38:53 AM 8/1/2014 5:02:52 AM
thumbnails File folder 5/22/2014 6:40:13 AM 5/22/2014 6:40:13 AM
webapps File folder 8/23/2014 9:34:24 AM 5/22/2014 6:40:12 AM
blocklist.xml xml 131 KB XML Document 8/23/2014 9:42:27 AM 5/22/2014 6:46:15 AM
bookmarks.html html 4 KB Opera Web Document 12/31/1999 8:00:00 PM 12/31/1999 8:00:00 PM
cert8.db db 64 KB Data Base File 8/22/2014 9:52:45 PM 5/22/2014 6:39:55 AM
compatibility.ini ini 1 KB Configuration settings 8/1/2014 5:02:51 AM 5/22/2014 6:39:55 AM
cookies.sqlite sqlite 512 KB SQLITE File 5/22/2014 6:49:22 AM 5/22/2014 6:39:56 AM
cookies.sqlite-shm sqlite-shm 32 KB SQLITE-SHM File 8/23/2014 9:34:20 AM 8/23/2014 8:35:09 AM
cookies.sqlite-wal sqlite-wal 0 SQLITE-WAL File 8/23/2014 8:35:09 AM 8/23/2014 8:35:09 AM
downloads.sqlite sqlite 96 KB SQLITE File 5/22/2014 6:40:24 AM 5/22/2014 6:40:24 AM
extensions.ini ini 1 KB Configuration settings 7/31/2014 7:23:44 AM 7/31/2014 7:23:40 AM
extensions.sqlite sqlite 448 KB SQLITE File 7/31/2014 7:23:40 AM 5/22/2014 6:39:55 AM
formhistory.sqlite sqlite 192 KB SQLITE File 6/29/2014 9:30:11 AM 6/29/2014 9:30:11 AM
key3.db db 16 KB Data Base File 8/22/2014 9:52:45 PM 5/22/2014 6:39:55 AM
localstore.rdf rdf 3 KB RDF File 8/23/2014 6:50:53 PM 8/23/2014 6:50:53 PM
marionette.log log 1 KB Text Document 8/23/2014 9:34:23 AM 5/22/2014 6:39:59 AM
mimeTypes.rdf rdf 4 KB RDF File 5/22/2014 6:40:12 AM 5/22/2014 6:40:12 AM
parent.lock lock 0 LOCK File 8/23/2014 9:34:19 AM 5/22/2014 6:39:55 AM
places.sqlite sqlite 10,240 KB SQLITE File 8/22/2014 10:54:40 AM 5/22/2014 6:40:12 AM
places.sqlite-shm sqlite-shm 32 KB SQLITE-SHM File 8/23/2014 9:34:24 AM 8/23/2014 8:35:15 AM
places.sqlite-wal sqlite-wal 65 KB SQLITE-WAL File 8/23/2014 10:00:13 AM 8/23/2014 8:35:15 AM
pluginreg.dat dat 1 KB DAT File 7/10/2014 8:13:56 AM 7/10/2014 8:13:56 AM
prefs.js js 6 KB JScript Script File 8/23/2014 7:10:30 PM 8/23/2014 7:10:30 PM
search.json json 21 KB JSON File 5/22/2014 6:40:13 AM 5/22/2014 6:40:13 AM
secmod.db db 16 KB Data Base File 5/22/2014 6:39:55 AM 5/22/2014 6:39:55 AM
Telemetry.FailedProfileLocks.txt txt 1 KB Text Document 8/23/2014 9:33:58 AM 7/27/2014 4:10:19 PM
webappsstore.sqlite sqlite 96 KB SQLITE File 5/22/2014 6:49:22 AM 5/22/2014 6:40:14 AM
webappsstore.sqlite-shm sqlite-shm 32 KB SQLITE-SHM File 8/23/2014 9:34:25 AM 8/23/2014 9:34:25 AM
webappsstore.sqlite-wal sqlite-wal 0 SQLITE-WAL File 8/23/2014 9:34:25 AM 8/23/2014 9:34:25 AM

Child Tickets

Change History (15)

comment:1 Changed 5 years ago by mcs

Does this problem occur with a clean installation of TB with the default settings?
Does the lingering firefox.exe process consume a lot of CPU?

There is some troubleshooting info here that may be useful:
http://kb.mozillazine.org/Firefox_hangs#Hang_at_exit

comment:2 Changed 5 years ago by Sherief

One user said that the problem was solved for him after deleting the following file:
Tor Browser > Data > Browser > profile.default > parent.lock

More feedback on this when I tell other users to try it.

comment:3 Changed 5 years ago by Sherief

Cc: Sherief added

comment:4 Changed 5 years ago by mikeperry

Cc: dcf lunar added
Keywords: tbb-helpdesk-frequent added

Lunar suggests changing the error message to say "Tor Browser" and perhaps different wording.

comment:5 Changed 5 years ago by mikeperry

Cc: dcf removed

comment:6 Changed 5 years ago by isis

Cc: isis added

mttp, I added some code to the start-tor-browser script for #10178 which might have fixed this issue (but only for Linux users). However, due to #12468, the patch that might have helped was reverted.

Nevermind, I just reread the description and you specified Window/Mac users.

Last edited 5 years ago by isis (previous) (diff)

comment:7 in reply to:  2 Changed 5 years ago by Sherief

Replying to Sherief:

One user said that the problem was solved for him after deleting the following file:
Tor Browser > Data > Browser > profile.default > parent.lock

More feedback on this when I tell other users to try it.

One user reported back that this works on Windows.

comment:8 Changed 5 years ago by gk

Cc: chinchila added

Closed #13149 as duplicate.

comment:9 Changed 5 years ago by mikeperry

I just hit this on 4.0-alpha-2 on Linux after a laptop crash while the browser was open. I needed to remove Browser/TorBrowser/Data/Browser/profile.default/.parentlock and Browser/TorBrowser/Data/Browser/profile.default/lock. There might also have been some weird interaction with my apparmor profile too.

I am wondering if we can read the lock file, extract the PID, check if it is still running, and if not, simply remove the lock files? We could do this in either Firefox proper, or the wrappers. Kind of surprised Firefox doesn't already attempt this check.. Maybe it does on some platforms, and maybe my apparmor profile issue was just blocking it this time.

comment:10 Changed 5 years ago by mcs

On Linux and Mac OS, fcntl() F_SETLK is used for locking (assuming the file system supports it). I don't understand why the locks are not being automatically cleared by the OS. Relevant Mozilla code is here:

http://mxr.mozilla.org/mozilla-esr24/source/profile/dirserviceprovider/src/nsProfileLock.cpp#527

comment:11 Changed 4 years ago by Sherief

Keywords: tbb-helpdesk-frequent removed

I figured out why this happens and actually reproduced it too on my OS X laptop. It turns out that users are trying to open Tor Browser from the .dmg file without dragging it to their Applications/ folder.

We don't see this on Windows anymore so I suggest closing this ticket.

comment:12 in reply to:  11 Changed 4 years ago by mcs

Replying to Sherief:

I figured out why this happens and actually reproduced it too on my OS X laptop. It turns out that users are trying to open Tor Browser from the .dmg file without dragging it to their Applications/ folder.

That problem is now covered by #14631.

We don't see this on Windows anymore so I suggest closing this ticket.

I am OK with closing this ticket, but Mike did see this problem on Linux (see comment:9) and I do not think we know why the problem is no longer being reported by Windows users.

Mike, what do you think?

comment:13 Changed 18 months ago by teor

Severity: Normal

Set all open tickets without a severity to "Normal"

comment:14 Changed 16 months ago by cypherpunks

Status: newneeds_information

comment:15 Changed 9 months ago by traumschule

Keywords: apparmor added

group tickets related to AppArmorForTBB/tor packages

Note: See TracTickets for help on using tickets.